Bug 817762 - firefox performance is bad on certain sites, unlike chromium
firefox performance is bad on certain sites, unlike chromium
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-01 03:35 EDT by cornel panceac
Modified: 2013-04-18 09:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-18 09:09:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cornel panceac 2012-05-01 03:35:11 EDT
Description of problem:
while in gmail, firefox has difficulties scrolling up and down (with mouse scroll wheel) both in the main frame and in the left frame. chromium behaves flawlessly.

Version-Release number of selected component (if applicable):

# rpm -q firefox
firefox-12.0-1.fc17.i686


How reproducible:
always

Steps to Reproduce:
1.log into gmail account
2.(try to) scroll left frame or the main page in firefox or in chromium
3.
  
Actual results:
in chromium works as expected, in firefox takes a while until something happens

Expected results:
both should work

Additional info:
same latency can be seen in firefox if clicking on user menu ("cornel panceac" in my case) and again works fine in chromium.

this bug appeared after replacing the (newer) pci express video card (and the dead motherboard) with another motherboard and an older fx 5200 nvidia agp graphics card, that, unlike the pci-e card, does not support 3d with nouveau.

imho there may be two problems here: firefox maybe uses in ti's javascript engine some 3d graphics functions on scrolling up/down etc (although it seems they are not required, as chromium behaviour suggests) or maybe google knows something about gmail javascript requirements that mozille does not know.

but these are just guessing :)
Comment 1 cornel panceac 2012-05-01 03:43:48 EDT
btw, gnome-control-center graphics says: Gallium 0.4 on llvmpipe (LLVM 0x300)
Comment 2 Martin Stransky 2012-05-02 02:22:17 EDT
Do you run gnome-shell or any other environment? Can you try it in fall back mode? (System-setings->Details and the last item there contains a fallback mode switch).
Comment 3 cornel panceac 2012-05-02 02:33:07 EDT
This was observed in gnome 3 fallback mode. I could not run gnome-shell on this video card.
Comment 4 Martin Stransky 2012-05-03 05:09:01 EDT
I see. And I suppose it happens with the new gmail interface, not with the old one. I guess it may be a bug in cairo/X server, some graphics operation may not be supported by hardware and have to be painted by CPU.

One options may be to disable hardware acceleration for layers, in Preferences->Advanced disable "Use hardware acceleration when available".
Comment 5 Martin Stransky 2012-05-03 05:11:55 EDT
Another option may be to install nvidia binary drivers and see if it helps.
Comment 6 cornel panceac 2012-05-03 15:26:44 EDT
with or without that option set, firefox requires one or more seconds between a mouse click and the reply event. indeed, it's the new gmail interface but as i said, chrome has no problem with it. now i'm gonna change the video card and report back if the new card is better.
Comment 7 cornel panceac 2012-05-03 15:27:47 EDT
i forgot about that: nvidia drivers are not available because the new xorg does not work with them (173*).
Comment 8 Martin Stransky 2012-08-06 10:21:17 EDT
Can you please test firefox binary from mozilla.org?

Note You need to log in before you can comment on or make changes to this bug.